package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PeajeDao;
import com.rjconsultores.ventaboletos.entidad.Peaje;


@Repository("peajeDao")
public class PeajeHibernateDao extends GenericHibernateDAO<Peaje, Integer> implements PeajeDao {

	@Autowired
	public PeajeHibernateDao(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

}
