package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FechamentoCntcorrente;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.vo.integracao.FechamentoCntCorrenteVO;

public interface SapService extends GenericService<FechamentoCntcorrente, Long>  {
	
	public int remessa(List<FechamentoCntCorrenteVO> fechamentos, boolean processoManual) throws Exception ;

	public List<FechamentoCntCorrenteVO> obtenerTodosParaRemessa(Empresa empresa, Date dataDe, Date dataAte, String status);
	
	public List<FechamentoCntCorrenteVO> obtenerTodosParaRemessa(Empresa empresa, Date dataDe, Date dataAte, String status, PuntoVenta puntoVenta);
	
	public void integracaoSapAutomatica() throws Exception;

}
