package com.rjconsultores.ventaboletos.ws.rs;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import com.rjconsultores.ventaboletos.dao.UsuarioDAO;
import com.rjconsultores.ventaboletos.vo.caja.UsuarioActivoVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("/usuarios")
public class UsuarioRS {
	@GET
	@Produces({ MediaType.APPLICATION_XML })
	public List<UsuarioActivoVO> buscarUsuarios() {
		UsuarioDAO dao = (UsuarioDAO) AppContext.getApplicationContext().getBean("usuarioDAO");
		List<UsuarioActivoVO> retorno = dao.buscarUsuariosActivo();
		
		return retorno;
	}
}
