package com.rjconsultores.ventaboletos.dao;

import java.util.List;
import java.util.Optional;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaIziPayConfig;

public interface EmpresaIziPayDAO extends GenericDAO<EmpresaIziPayConfig, Integer> {
	
	public List<EmpresaIziPayConfig> obtenerTodos();
	public Optional<EmpresaIziPayConfig> buscarPorEmpresa(Empresa empresa);
	
}
