package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.OrgaoTramo;

public interface OrgaoTramoDAO {

	/**
	 * Hace la busqueda de la configuracion del coeficiente por tramo <br/>
	 * 
	 * @param origenId
	 * @param destinoId
	 * @param viaId
	 * @param orgaoConcedenteId
	 * @param claseServicioId
	 * @return
	 */
	public OrgaoTramo buscar(Integer origenId, Integer destinoId, Integer viaId, Integer orgaoConcedenteId, Integer claseServicioId);
	
	/**
	 * Graba el registro en la base de datos
	 * @param orgaoTramo
	 * @return
	 */
	public OrgaoTramo suscribir(OrgaoTramo orgaoTramo);
	
	public Long count(String campo, Object o);

}
