package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.GP_PricingHistoricoDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingHistorico;


@Repository("gp_pricingHistoricoDAO")
public class GP_PricingHistoricoHibernateDAO extends GenericHibernateDAO<GP_PricingHistorico, Long> implements GP_PricingHistoricoDAO {

    @Autowired
    public GP_PricingHistoricoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
			
}

