package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TaxaEmbLevanteCtrlDAO;
import com.rjconsultores.ventaboletos.entidad.TaxaEmbLevanteCtrl;

@Repository("taxaEmbLevanteCtrlDAO")
public class TaxaEmbLevanteCtrlHibernateDAO extends GenericHibernateDAO<TaxaEmbLevanteCtrl, Integer>
		implements TaxaEmbLevanteCtrlDAO {

	@Autowired
	public TaxaEmbLevanteCtrlHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
